const server = require('../server');
const {createWSP} = require('../helper');

const wspOptionsJson = {
  packMessage: data => JSON.stringify(data),
  unpackMessage: message => JSON.parse(message),
  attachRequestId: (data, requestId) => Object.assign({requestId}, data),
  extractRequestId: data => data && data.requestId,
};

before(function (done) {
  server.start(url => {
    this.url = url;
    done();
  });
});

after(function (done) {
  server.stop(() => done());
});

beforeEach(function () {
  this.wsp = createWSP(this.url);
  this.wspOptionsJson = wspOptionsJson;
});

afterEach(function () {
  return this.wsp.close();
});
